## DMS Read ERI File DMS Read ERI File |

## Functions

QmiMessageDmsReadEriFileOutput * | qmi_message_dms_read_eri_file_output_ref ()
void | qmi_message_dms_read_eri_file_output_unref ()
gboolean | qmi_message_dms_read_eri_file_output_get_result ()
gboolean | qmi_message_dms_read_eri_file_output_get_eri_file ()
void | qmi_client_dms_read_eri_file ()
QmiMessageDmsReadEriFileOutput * | qmi_client_dms_read_eri_file_finish ()

## Types and Values

| QmiMessageDmsReadEriFileOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsReadEriFileOutput

## Description

## Functions

### qmi_message_dms_read_eri_file_output_ref ()

    QmiMessageDmsReadEriFileOutput *
    qmi_message_dms_read_eri_file_output_ref
                                   (QmiMessageDmsReadEriFileOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsReadEriFileOutput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_read_eri_file_output_unref ()

    void
    qmi_message_dms_read_eri_file_output_unref
                                   (QmiMessageDmsReadEriFileOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsReadEriFileOutput. |

### qmi_message_dms_read_eri_file_output_get_result ()

    gboolean
    qmi_message_dms_read_eri_file_output_get_result
                                   (QmiMessageDmsReadEriFileOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsReadEriFileOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_dms_read_eri_file_output_get_eri_file ()

    gboolean
    qmi_message_dms_read_eri_file_output_get_eri_file
                                   (QmiMessageDmsReadEriFileOutput *self,
                                    GArray **value_eri_file,
                                    GError **error);

Get the 'ERI File' field from `self` .

#### Parameters

self | a QmiMessageDmsReadEriFileOutput. |
value_eri_file | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_dms_read_eri_file ()

    void
    qmi_client_dms_read_eri_file (QmiClientDms *self,
                                  gpointer unused,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Read ERI File request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_read_eri_file_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_dms_read_eri_file_finish ()

    QmiMessageDmsReadEriFileOutput *
    qmi_client_dms_read_eri_file_finish (QmiClientDms *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_dms_read_eri_file()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_read_eri_file()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsReadEriFileOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_read_eri_file_output_unref()`.

## Types and Values

### QmiMessageDmsReadEriFileOutput

    typedef struct _QmiMessageDmsReadEriFileOutput QmiMessageDmsReadEriFileOutput;

The QmiMessageDmsReadEriFileOutput structure contains private data and should only be accessed using the provided API.